Installation of Mistral using Fuel 9.2

asked 2017-09-05 02:26:20 -0600

kuro gravatar image

updated 2017-09-05 02:41:39 -0600

I have a system with Fuel 9.2 installed. I want to deploy a cloud environment with Mistral support.

I have followed the instruction of the following link - https://github.com/openstack/fuel-plugin-mistral (https://github.com/openstack/fuel-plu...)

The fuel-plugin-mistral rpm file was created and installed in Fuel successfully. After that I have created an environment with Mistral plugin enabled and enabled the role Mistral in Controller system. But the deployment fails with error shown in Controller node while Compute node is ready.

The puppet log of Controller system shows -

/usr/bin/puppet:8:in `<main>'
2017-09-05 06:49:15 +0000 Puppet (err): Puppet::Parser::AST::Resource failed with error ArgumentError: Could not find declared class ::mistral at /etc/fuel/plugins/fuel-plugin-mistral-1.0/puppet/modules/plugin_tasks/manifests/conf.pp:40 on node node-82.domain.tld
/usr/lib/ruby/vendor_ruby/puppet/resource.rb:253:in `initialize'
/usr/lib/ruby/vendor_ruby/puppet/parser/resource.rb:121:in `initialize'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:44:in `new'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:44:in `block (3 levels) in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/util/errors.rb:64:in `exceptwrap'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:in `block (2 levels) in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:in `collect'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:in `block in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/branch.rb:12:in `block in each'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/branch.rb:11:in `each'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:in `collect'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:25:in `evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:11:in `block in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:10:in `each'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/block_expression.rb:10:in `evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast.rb:61:in `safeevaluate'
/usr/lib/ruby/vendor_ruby/puppet/resource/type.rb:129:in `evaluate_code'
/usr/lib/ruby/vendor_ruby/puppet/parser/resource.rb:81:in `block in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/util/profiler/around_profiler.rb:58:in `profile'
/usr/lib/ruby/vendor_ruby/puppet/util/profiler.rb:51:in `profile'
/usr/lib/ruby/vendor_ruby/puppet/parser/resource.rb:77:in `evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:236:in `each'
/usr/lib/ruby/vendor_ruby/puppet/parser/compiler.rb:236:in `evaluate_classes'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:60:in `block (3 levels) in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/util/errors.rb:64:in `exceptwrap'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:43:in `block (2 levels) in evaluate'
/usr/lib/ruby/vendor_ruby/puppet/parser/ast/resource.rb:42:in `collect'
/usr/lib/ruby/vendor_ruby/puppet/parser ...
(more)
edit retag flag offensive close merge delete